package com.philisense.www.mapper;

import org.apache.ibatis.annotations.Mapper;

import java.util.Map;
import java.util.Set;

@Mapper
public interface SecurityMapper {
    public Set<Map<String, Object>> getAuthoritiesByUserId(String userid);

    Set<Map<String, Object>> getAuthoritiesNoGroupByUserId(String userid);

    public Map<String, Object> getByUsername(String username);

    public Set<Map<String, Object>> getMenusByParentId(Map<String, Object> map);

    public Set<Map<String, Object>> getAllMenuUrlResources(Map<String, Object> map);

    Map<String, Object> getUserByMap(Map<String, Object> map);

    Set<Map<String, Object>> getAllUrlResources(Map<String, Object> map);
}